from machine import Pin
from utime import sleep
import time

A0 = machine.ADC(26)
A1 = machine.ADC(27)

O1 = Pin(9, Pin.OUT)
O2 = Pin(8, Pin.OUT)
O3 = Pin(7, Pin.OUT)
O4 = Pin(6, Pin.OUT)

print('O1..4=OFF')
O1.value(0)
O2.value(0)
O3.value(0)
O4.value(0)
sleep(1)

print('O1=ON')
O1.value(1)
sleep(1)
print('O1=OFF')
O1.value(0)
sleep(0.2)

print('O2=ON')
O2.value(1)
sleep(1)
print('O2=OFF')
O2.value(0)
sleep(0.2)

print('O3=ON')
O3.value(1)
sleep(1)
print('O3=OFF')
O3.value(0)
sleep(0.2)

print('O4=ON')
O4.value(1)
sleep(1)
print('O4=OFF')
O4.value(0)
sleep(0.2)

print('O1..4=ON')
O1.value(1)
O2.value(1)
O3.value(1)
O4.value(1)
sleep(10)
print('O1..4=OFF')
O1.value(0)
O2.value(0)
O3.value(0)
O4.value(0)
sleep(0.2)

Ic0 = A0.read_u16()
print('Prąd O1=OFF ',Ic0)
O1.value(1)
sleep(0.2)
Ic0 = A0.read_u16()
print('Prąd O1=ON ',Ic0)
O1.value(0)
print('O1=OFF')

Ic1 = A1.read_u16()
print('Prąd O2=OFF ',Ic1)
O2.value(1)
sleep(0.2)
Ic1 = A1.read_u16()
print('Prąd O2=ON ',Ic1)
O2.value(0)
print('O2=OFF')


